KCHASHTEST(1)

NAME
kchashtest - command line interface to test the file hash database

DESCRIPTION

The command `kchashtest' is a utility for facility test and performance test of the file hash database. This command is used in the following format. `path' specifies the path of a database file. `rnum' specifies the number of iterations.

    kchashtest order [-th num] [-rnd] [-set|-get|-getw|-rem|-etc] [-tran] [-oat|-onl|-onl|-otl|-onr] [-apow num] [-fpow num] [-ts] [-tl] [-tc] [-bnum num] [-msiz num] [-dfunit num] [-lv] path rnum
        Performs in-order tests.
    kchashtest queue [-th num] [-it num] [-rnd] [-oat|-onl|-onl|-otl|-onr] [-apow num] [-fpow num] [-ts] [-tl] [-tc] [-bnum num] [-msiz num] [-dfunit num] [-lv] path rnum
        Performs queuing operations.
    kchashtest wicked [-th num] [-it num] [-oat|-onl|-onl|-otl|-onr] [-apow num] [-fpow num] [-ts] [-tl] [-tc] [-bnum num] [-msiz num] [-dfunit num] [-lv] path rnum
        Performs mixed operations selected at random.
    kchashtest tran [-th num] [-it num] [-hard] [-oat|-onl|-onl|-otl|-onr] [-apow num] [-fpow num] [-ts] [-tl] [-tc] [-bnum num] [-msiz num] [-dfunit num] [-lv] path rnum
        Performs test of transaction.

Options feature the following.

    -th num : specifies the number of worker threads.
    -rnd : performs random test.
    -set : performs setting operation only.
    -get : performs getting operation only.
    -getw : performs getting with a buffer operation only.
    -rem : performs removing operation only.
    -etc : performs miscellaneous operations.
    -tran : performs transaction.
    -oat : opens the database with the auto transaction option.
    -oas : opens the database with the auto synchronization option.
    -onl : opens the database with the no locking option.
    -otl : opens the database with the try locking option.
    -onr : opens the database with the no auto repair option.
    -apow num : specifies the power of the alignment of record size.
    -fpow num : specifies the power of the capacity of the free block pool.
    -ts : tunes the database with the small option.
    -tl : tunes the database with the linear option.
    -tc : tunes the database with the compression option.
    -bnum num : specifies the number of buckets of the hash table.
    -msiz num : specifies the size of the memory-mapped region.
    -dfunit num : specifies the unit step number of auto defragmentation.
    -lv : reports all errors.
    -it num : specifies the number of repetition.
    -hard : performs physical synchronization.

This command returns 0 on success, another on failure.

SEE ALSO

kchashmgr(1)